
local COMPATIBILITY_MODE = false --try setting this to "true" (no quotation marks) if you suspect you are having a mod conflict issue (requires game/heist restart)
local BITMAP_NAME = "guis/textures/pd2/hud_progress_active" --this is the texture used in flatscreen
--the bitmap used in vr is "guis/textures/pd2/progress_reload", which is why interaction circle retextures don't apply to your own interactions in vr

if COMPATIBILITY_MODE then 
	function HUDInteractionVR:show_interaction_bar(current, total)
		if self._interact_circle then
			self._interact_circle:remove()

			self._interact_circle = nil

			self._interact_circle_overlay:remove()

			self._interact_circle_overlay = nil
		end

		self._interact_circle = CircleBitmapGuiObject:new(self._interaction_panel, {
			image = BITMAP_NAME,
			bg = "guis/textures/pd2/progress_reload_black",
			use_bg = true,
			blend_mode = "normal",
			layer = 2,
			radius = self._circle_radius,
			sides = self._sides,
			current = self._sides,
			total = self._sides,
			color = Color.white
		})

		self._interact_circle:set_position(self._interaction_panel:w() - self._circle_radius * 2, 0)

		self._interact_circle_overlay = CircleBitmapGuiObject:new(self._interaction_panel, {
			image = BITMAP_NAME,
			blend_mode = "add",
			layer = 2,
			radius = self._circle_radius,
			sides = self._sides,
			current = self._sides,
			total = self._sides,
			color = Color.white
		})

		self._interact_circle_overlay:set_position(self._interact_circle:position())
		self._interact_circle_overlay:set_alpha(0.2)
		self._interact_circle_overlay:set_depth_mode("disabled")
		VRManagerPD2.overlay_helper(self._interaction_panel)
		self._interaction_panel:show()
	end
else

	--using this is safer but may result in the interaction bar displaying as the original circle for one frame
	Hooks:PostHook(HUDInteractionVR,"show_interaction_bar","enable_vr_interaction_circle_retexture",function(self,current,total)
		if alive(self._interact_circle) then 
			self._interact_circle:set_image(BITMAP_NAME)
		end
		if alive(self._interact_circle_overlay) then 
			self._interact_circle_overlay:set_image(BITMAP_NAME)
		end
	end)
	
end
